/********************************* adc.c ***************************************
*                                                                              *
*  Author: David Collins                                                       *
*  Project: Global Pigeon - ECE 477 Team 10, Spring 2008                       *
*                                                                              *
*  Contains functions to set up and read analog values.  Should work on any    *
*  9S12 variant.                                                               *
*                                                                              *
*******************************************************************************/


#include <hidef.h>
#include <mc9s12a64.h>
#include "adc.h"

// Initialize ATD subsystem
void ADC_Init(void)
{
   ATD0CTL2 = 0x80; // enable ADC   
   ATD0CTL3 = 0x08; // conversion length of 1	   
   ATD0CTL4 = 0x05; // set sample clock to 2MHz which is max	    
}


// Returns a 10bit right justified value for the input channel specified
// in a 16bit integer
unsigned short ADC_In(unsigned char channel)
{ 
   ATD0CTL5 = 0x80 | channel;   // start the conversion sequence
   while(!(ATD0STAT0 & 0x80));  // wait for the conversion to complete 
   return ATD0DR0; 
}

/******************************** End of adc.c ********************************/
