/********************************* adc.h ***************************************
*                                                                              *
*  Author: David Collins                                                       *
*  Project: Global Pigeon - ECE 477 Team 10, Spring 2008                       *
*                                                                              *
*  Contains functions to set up and read analog values.  Should work on any    *
*  9S12 variant.                                                               *
*                                                                              *
*******************************************************************************/


#ifndef HEADER_ADC_H
#define HEADER_ADC_H
   
#define ADC_CH_VSENSE 0
#define ADC_CH_THERM0 3
#define ADC_CH_THERM1 4
#define ADC_CH_THERM2 5
#define ADC_CH_THERM3 6

// Initialize ATD subsystem
void ADC_Init(void);


// Returns a 10bit right justified value for the input channel specified
// in a 16bit integer
unsigned short ADC_In(unsigned char channel);
  

#endif

/******************************** End of adc.h ********************************/
