/******************************* debug.h ***************************************
*                                                                              *
*  Author: David Collins                                                       *
*  Project: Global Pigeon - ECE 477 Team 10, Spring 2008                       *
*                                                                              *
*  Used to print debug messages out of the SCI port.  Conditional compilation  *
*  ensures that there is no overhead when not debugging.                       *
*                                                                              *
*******************************************************************************/


#ifndef HEADER_DEBUG
#define HEADER_DEBUG

#include "sci.h"


//#define DEBUGGING

#ifdef DEBUGGING
// in debug mode

#define DEBUG(x) SCI_OutString(1, x);

#else
// not in debug mode

#define DEBUG(x)

#endif


// define if you want to only output GPS chars directly
//#define GPSPASSTHRU


#endif


/******************************* End of debug.h *******************************/
