/********************************* lcd.c ***************************************
*                                                                              *
*  Author: David Collins                                                       *
*  Project: Global Pigeon - ECE 477 Team 10, Spring 2008                       *
*                                                                              *
*  Provides functions to send commands to the LCD screen.  The format of the   *
*  commands is specific to the Matrix Orbital LCD2041.                         *
*                                                                              *
*******************************************************************************/


#include <mc9s12a64.h>
#include "sci.h"
#include "lcd.h" 


// initializes the LCD and sets a screen brightness
void LCD_Init(unsigned char backlight) 
{				
   SCI_Init(1, 19200); // LCD connection
      
   // clear the screen
   SCI_OutChar(1, LCD_NEW_PAGE);
   
   LCD_SetBrightness(backlight);
}

// sends a simple command to the LCD screen
void LCD_SendCommand(unsigned char command)
{
   SCI_OutChar(1, LCD_START_COMMAND);
   SCI_OutChar(1, command);
}


// sets the LCD backlight brightness
void LCD_SetBrightness(unsigned char value)
{
   SCI_OutChar(1, LCD_START_COMMAND);
   SCI_OutChar(1, LCD_SET_BRIGHTNESS);
   SCI_OutChar(1, value);
}

/******************************** End of lcd.c ********************************/
