/******************************* pigeon.c **************************************
*                                                                              *
*  Author: David Collins                                                       *
*  Project: Global Pigeon - ECE 477 Team 10, Spring 2008                       *
*                                                                              *
*  This file contains Team Global Pigeon specific initializations based on the *
*  port connections.                                                           *
*                                                                              *
*******************************************************************************/


#include <hidef.h> 
#include <mc9s12a64.h>

#include "pigeon.h"


// initialize various ports
void Pigeon_Init(void) 
{		  
   // set pull resistors on inputs that aren't padded out on the 80pin package
   PERH = 0xFF;
   PERP = 0b01000000;
   PERS = 0xF0;
   
   // set up port A to output on bits 0-2
   DDRA |= 0x07;	
   
   // set PTT6 as output for autopilot selector
   DDRT |= 0b01000000;							  
      
}

/******************************* End of pigeon.c ******************************/
