/******************************* pigeon.h **************************************
*                                                                              *
*  Author: David Collins                                                       *
*  Project: Global Pigeon - ECE 477 Team 10, Spring 2008                       *
*                                                                              *
*  This file contains Team Global Pigeon specific port masks and structures.   *
*                                                                              *
*******************************************************************************/


#ifndef HEADER_PIGEON_H
#define HEADER_PIGEON_H


// port that the indicator LEDs are connected to
#define LEDS PORTA

// bit corresponding to each LED
#define LED_RED 0x01
#define LED_YELLOW 0x02
#define LED_GREEN 0x04

#define SET_MANUAL_FLIGHT() PTT &= ~0x40;
#define SET_AUTOMATIC_FLIGHT() PTT |= 0x40;



// SD card block offsets

// offset to start of global settings
#define BLOCK_SETTINGS 1024

// offset to start GPS waypoints to navigate to
#define BLOCK_GPS_TRACK_IN 1040

// offset to start GPS track outputting
#define BLOCK_GPS_TRACK_OUT 1200


// clock frequency in Hz
#define CLOCK_SPEED 24000000


// for use in writing the low and high 16bits of a 32bit int
// used in determining time intervals from fire and line breaking
typedef union
{
   unsigned long int Full;
   struct 
   {
      unsigned short int High;
      unsigned short int Low;
   } Half;
} PARTLONG; 



// initialize various ports
void Pigeon_Init(void);



#endif

/******************************* End of pigeon.h ******************************/
