/********************************* pll.c ***************************************
*                                                                              *
*  Author: David Collins                                                       *
*  Project: Global Pigeon - ECE 477 Team 10, Spring 2008                       *
*                                                                              *
*  Sets up the PLL system so that the MCU can run at 24MHz.  This function     *
*  should work with any 9S12 variant.                                          *
*                                                                              *
*******************************************************************************/


#include <hidef.h>
#include <mc9s12a64.h>


// Set PLL clock to 24 MHz, and switch 9S12 to run at this rate   
void PLL_Init(void)
{  
   SYNR = 0x02;            // set PLL multiplier
   REFDV = 0x00;		      // set PLL divider  
   CLKSEL = 0x00;          // keep using OSCCLK
   PLLCTL = 0xD1;          // set various condition bits for the transition
   while(!(CRGFLG & 0x08));// Wait for PLLCLK to stabilize.  
   CLKSEL_PLLSEL = 1;      // Switch to PLL clock
}

/******************************** End of pll.c ********************************/
