/******************************* timer.h *******************************/

#ifndef HEADER_TIMER_H
#define HEADER_TIMER_H


// Initializes timer subsystem
// to be used for standard timer, or TOF functionality
void Timer_Initialize(unsigned char PrescalerDivisor, int UseTOF);


// Blocking wait for a given number of clock cycles
// not completely accurate due to function call overhead
void Timer_Wait(unsigned short delay);


// Wait for given number of milliseconds
void Timer_Wait1ms(unsigned short delay);


// returns the current number of clock ticks in a 32bit int
unsigned long int TimeStamp(void);

// return TOFCount
unsigned short TOFNow(void);


#endif
