/***** sdcopy.c *****/

/* 
   Copies blocks of length 512 from an SD card into a normal file.
   The data on the SD card is not stored using a file system.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define BLOCK_SIZE 512


int main(int argc, char* argv[])
{
   int i=0, blocknum, blockCount, address;
   char *filefrom, *fileto;
   FILE *fpin, *fpout;
   unsigned char buf[BLOCK_SIZE];

   if (argc != 5) {
      printf("Usage: %s from to blocknum #ofblocks\n", argv[0]);
      return 0;
   }

   filefrom = argv[1];
   fileto = argv[2]; 
   blocknum = atoi(argv[3]);
   blockCount = atoi(argv[4]);

   address = blocknum * BLOCK_SIZE;

   /*
   printf("Reading from: %s\n", filefrom);
   printf("Writing to:   %s\n", fileto);
   printf("Block:        %d\n", blocknum);
   printf("Count:        %d\n", blockCount);
   */


   if ((fpin = fopen(filefrom, "rb"))) {
      if ((fpout = fopen(fileto, "wb"))) {
         fseek(fpin, address, SEEK_SET);
         for (i=0; i<blockCount; i++) {            
            fread(buf, BLOCK_SIZE, 1, fpin);
            fwrite(buf, BLOCK_SIZE, 1, fpout);                        
         }
         fclose(fpout);
      }
      else {
         printf("Could not open: %s, for writing\n", fileto);
      }
      fclose(fpin);
   }
   else {
      printf("Could not open: %s, for reading\n", filefrom);
   }    

	return 0;
}
