/* erases one block on an SD card with all zeros */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define BLOCK_SIZE 512


int main(int argc, char* argv[])
{
   int i=0, blocknum, address;   
   char *file;
   FILE *fp;

   unsigned char buf[BLOCK_SIZE];

   if (argc != 3) {
      printf("Usage: %s SD_card blocknum\n", argv[0]);
      return 0;
   }

   file = argv[1];

   
   blocknum = atoi(argv[2]);
   address = blocknum * BLOCK_SIZE;

   if ((fp = fopen(file, "wb"))) {
      fseek(fp, address, SEEK_SET);
      for (i=0; i<BLOCK_SIZE; i++) {
         buf[i] = 0;           
      }
      fwrite(buf, BLOCK_SIZE, 1, fp);
      fclose(fp);
   }
   else {
      printf("Could not open: %s\n", file);
   }   
   

	return 0;
}
